%global project   felix
%global bundle    org.apache.felix.ipojo.metadata
Name:          felix-ipojo-metadata
Version:       1.6.0
Release:       1%{?dist}
Summary:       Apache Felix iPOJO Metadata
License:       ASL 2.0
URL:           http://felix.apache.org/documentation/subprojects/apache-felix-ipojo.html
Source0:       http://www.apache.org/dist/felix/%{bundle}-%{version}-project.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:felix-parent:pom:)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(org.mockito:mockito-all)

BuildArch:     noarch

%description
iPOJO internal metadata model.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%pom_remove_plugin :rat-maven-plugin
%pom_remove_plugin :maven-checkstyle-plugin

%mvn_file :%{bundle} %{project}/%{bundle}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc doc/changelog.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Fri Feb 27 2015 gil cattaneo <puntogil@libero.it> 1.6.0-1
- initial rpm
